RoboCupMS

Public Member Functions | List of all members
com.robogames.RoboCupMS.Business.Service.PlaygroundService Class Reference

## Public Member Functions
List< Playground > | getAll ()
List< Playground > | get (Long id) throws Exception
List< RobotMatch > | getMatches (Long id) throws Exception
void | create (PlaygroundObj playgroundObj) throws Exception
void | remove (Long id) throws Exception
void | edit (Long id, PlaygroundObj playgroundObj) throws Exception

## Detailed Description

Zajistuje spravu hrist

## Member Function Documentation

## ◆ create()

void com.robogames.RoboCupMS.Business.Service.PlaygroundService.create | ( | PlaygroundObj | playgroundObj | ) | throws Exception
| inline

Vytvori nove soutezni hriste

Parameters

  playgroundObj | Paramtery noveho hriste

## ◆ edit()

void com.robogames.RoboCupMS.Business.Service.PlaygroundService.edit | ( | Long | id,
|  | PlaygroundObj | playgroundObj
| ) |  | throws Exception
| inline

Upravi parametry souzezniho hriste

Parameters

  id | ID hriste, ktere ma byt upraveno
  playgroundObj | Nove parametry hriste

## ◆ get()

List<Playground> com.robogames.RoboCupMS.Business.Service.PlaygroundService.get | ( | Long | id | ) | throws Exception
| inline

Navrati vsechny hriste pro urcitou disciplinu

Parameters

  id | ID discipliny

Returns
  Seznam vsech souteznich hrist pro urcitou disciplinu

## ◆ getAll()

List<Playground> com.robogames.RoboCupMS.Business.Service.PlaygroundService.getAll | ( |  | ) |
| inline

Navrati vsechny hriste

Returns
  Seznam vsech souteznich hrist

## ◆ getMatches()

List<RobotMatch> com.robogames.RoboCupMS.Business.Service.PlaygroundService.getMatches | ( | Long | id | ) | throws Exception
| inline

Navrati vsechny zapasy odehrane na konkretnim hristi

Parameters

  id | ID hriste

Returns
  Seznam zapasu

## ◆ remove()

void com.robogames.RoboCupMS.Business.Service.PlaygroundService.remove | ( | Long | id | ) | throws Exception
| inline

Odstrani soutezni hriste

Parameters

  id | ID hriste, ktere ma byt odstraneno

The documentation for this class was generated from the following file:

- /home/martin/Programing/RoboCupMS/src/main/java/com/robogames/RoboCupMS/Business/Service/PlaygroundService.java